curl --request POST \
--url https://api.staging.kathan.tech/phone-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-User-ID: <api-key>' \
--data '
{
"phone_number": "<string>",
"provider": "twilio",
"account_sid": "<string>",
"auth_token": "<string>",
"auth_id": "<string>",
"whatsapp_token": "<string>",
"label": "<string>"
}
'{
"id": "<string>",
"provider": "<string>",
"phone_number": "<string>",
"status": "<string>",
"label": "<string>",
"created_at": "<string>"
}curl --request POST \
--url https://api.staging.kathan.tech/phone-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-User-ID: <api-key>' \
--data '
{
"phone_number": "<string>",
"provider": "twilio",
"account_sid": "<string>",
"auth_token": "<string>",
"auth_id": "<string>",
"whatsapp_token": "<string>",
"label": "<string>"
}
'{
"id": "<string>",
"provider": "<string>",
"phone_number": "<string>",
"status": "<string>",
"label": "<string>",
"created_at": "<string>"
}API key authentication.
Required user id for API key requests.
For Twilio/Vobiz: E.164 (e.g. +16504601060). For WhatsApp: Phone Number ID from Facebook Developer Portal
Telephony provider. Supports: twilio, whatsapp, vobiz
Twilio Account SID (AC...) - Required for provider=twilio
Twilio Auth Token - Required for provider=twilio. For Vobiz: auth token from Vobiz dashboard
Vobiz Auth ID - Required for provider=vobiz
WhatsApp Access Token - Required for provider=whatsapp
Friendly label for this phone number
Was this page helpful?